use super::PhysVec;

#[derive(Debug, Clone, Copy)]
pub struct PhysPol {
	pub center: PhysVec,
	pub radius: f64,
	pub angle: f64,
}

impl PhysPol {
	pub fn to_cartesian(&self) -> PhysVec {
		return PhysVec {
			x: self.radius * self.angle.sin(),
			y: self.radius * self.angle.cos(),
		} + self.center;
	}
}
